opencv: cv::StereoSGBM Class Reference

Public Types | Public Member Functions | Public Attributes | Protected Attributes

# cv::StereoSGBM Class Reference

`#include <calib3d.hpp>`

List of all members.

## Public Types
enum | { DISP_SHIFT = 4, DISP_SCALE = (1<<DISP_SHIFT) }
## Public Member Functions
| CV_WRAP_AS (compute) virtual void operator()(const Mat &left
| the stereo correspondence operator that computes disparity map for the specified rectified stereo pair
CV_WRAP | StereoSGBM (int minDisparity, int numDisparities, int SADWindowSize, int P1=0, int P2=0, int disp12MaxDiff=0, int preFilterCap=0, int uniquenessRatio=0, int speckleWindowSize=0, int speckleRange=0, bool fullDP=false)
| the full constructor taking all the necessary algorithm parameters
CV_WRAP | StereoSGBM ()
| the default constructor
virtual | ~StereoSGBM ()
| the destructor
## Public Attributes
const Mat Mat & | disp
CV_PROP_RW int | disp12MaxDiff
CV_PROP_RW bool | fullDP
CV_PROP_RW int | minDisparity
CV_PROP_RW int | numberOfDisparities
CV_PROP_RW int | P1
CV_PROP_RW int | P2
CV_PROP_RW int | preFilterCap
const Mat & | right
CV_PROP_RW int | SADWindowSize
CV_PROP_RW int | speckleRange
CV_PROP_RW int | speckleWindowSize
CV_PROP_RW int | uniquenessRatio
## Protected Attributes
Mat | buffer

## Detailed Description

Semi-Global Block Matching Stereo Correspondence Algorithm

The class implements the original SGBM stereo correspondence algorithm by H. Hirschmuller and some its modification.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  DISP_SHIFT |
  DISP_SCALE |

## Constructor & Destructor Documentation

CV_WRAP cv::StereoSGBM::StereoSGBM | ( | ) |

the default constructor

CV_WRAP cv::StereoSGBM::StereoSGBM | ( | int | minDisparity,
|  | int | numDisparities,
|  | int | SADWindowSize,
|  | int | P1 = `0`,
|  | int | P2 = `0`,
|  | int | disp12MaxDiff = `0`,
|  | int | preFilterCap = `0`,
|  | int | uniquenessRatio = `0`,
|  | int | speckleWindowSize = `0`,
|  | int | speckleRange = `0`,
|  | bool | fullDP = `false`
| ) |  |

the full constructor taking all the necessary algorithm parameters

virtual cv::StereoSGBM::~StereoSGBM | ( | ) | `[virtual]`

the destructor

## Member Function Documentation

cv::StereoSGBM::CV_WRAP_AS | ( | compute | ) | const

the stereo correspondence operator that computes disparity map for the specified rectified stereo pair

## Member Data Documentation

Mat cv::StereoSGBM::buffer`[protected]`

const Mat Mat& cv::StereoSGBM::disp

CV_PROP_RW int cv::StereoSGBM::disp12MaxDiff

CV_PROP_RW bool cv::StereoSGBM::fullDP

CV_PROP_RW int cv::StereoSGBM::minDisparity

CV_PROP_RW int cv::StereoSGBM::numberOfDisparities

CV_PROP_RW int cv::StereoSGBM::P1

CV_PROP_RW int cv::StereoSGBM::P2

CV_PROP_RW int cv::StereoSGBM::preFilterCap

const Mat& cv::StereoSGBM::right

CV_PROP_RW int cv::StereoSGBM::SADWindowSize

CV_PROP_RW int cv::StereoSGBM::speckleRange

CV_PROP_RW int cv::StereoSGBM::speckleWindowSize

CV_PROP_RW int cv::StereoSGBM::uniquenessRatio

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/calib3d/include/opencv2/calib3d/calib3d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines